<template>
  <v-app dark>
    <v-main>
      <v-container>
        <nuxt />
      </v-container>
    </v-main>
    <bottom-navigation :navigation="nav" />
  </v-app>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data: () => {
    return {
      ordersBadge: 0,
    }
  },
  computed: {
    nav(): Array<Object> {
      return [
        {
          icon: 'mdi-food',
          title: 'Orders',
          to: '/orders',
          badge: this.ordersBadge,
        },
        {
          icon: 'mdi-home',
          title: 'Home',
          to: '/',
        },
        {
          icon: 'mdi-account',
          title: 'Account',
          to: '/account',
        },
      ]
    },
  },
  mounted() {
    this.getOrders()
  },
  methods: {
    async getOrders() {
      const orders = await this.$axios.$get(
        'http://professional.localhost:4000/orders' // TODO: filter for current user
      )

      this.ordersBadge = orders.filter((order: any) =>
        ['preparing', 'prepared', 'delivering'].includes(order.status)
      ).length
    },
  },
})
</script>
